Author Topic: Unable to launch - Substance 2019.1.3 / 2019.2 with RTX 2070  (Read 782 times)

I recently tried to launch substance painter 2019.1.3 using a new computer build with RTX 2070 graphic card and it crash as soon as it open with a shader compiler error

Code: [Select]
[ ERR] <Qt> "[DBG ERROR][Main]" "Error Compile failure in shader:\n0(7) : error C7555: 'attribute' is deprecated, use 'in/out' instead\n0(8) : error C7555: 'attribute' is deprecated, use 'in/out' instead\n0(10) : error C7555: 'varying' is deprecated, use 'in/out' instead\n sending event class QExposeEvent to object Alg::S4MainWindowClassWindow (class QWidgetWindow)"
please see attach log. It is very frustrating, I just paid to upgrade my indie lincense thinking that 2019.2 was necessary for my graphic card only to discover that the problem is still there. Waste of money and time.

Step perform for troubleshooting
  • Clean install latest nvidia gameready driver
  • Scan windows for any error
  • Upgrade license to try 2019.2 version
  • delete shelf to see if any problem reside (despite the shelf was working on older version)
  • nop background app seems to be conflicting
Last Edit: September 16, 2019, 02:12:38 am

Hi,

Thanks for reaching out to us.

Could you please try installing the Studio drivers instead of Game? They tend to be better optimized. If that does not work, if you have time, try to downgrade driver versions one by one (no need to go back too far, I guess after a few it would be obvious if it is anything driver related).

Do you have any custom shaders in SP?

Could you also take a look here to check if you have any software conflicts? https://docs.substance3d.com/spdoc/software-conflicts-147095610.html
Valeria Gerontopoulos
Jr Product Designer - Technical Artist

Yah, I did try the studio driver, no luck there. 3 versions of the driver tested and nothing work.
Even deleting the shelf folder doesn't solve anything, it is not link to any custom driver.
I don't have any software from your list, i'll try to see if any other asus overclocking tool may be conflicting since your list contain one asus software.


Were you trying to open an old project? Do you have the same issue with if you create a new project? Or if you open one of the sample projects, like the MeetMat?
Valeria Gerontopoulos
Jr Product Designer - Technical Artist

for everyone, the problem is with ASUS RAM CACHE III which doesn't figure in the incompatible list. when i close it, i can start painter normally.

for everyone, the problem is with ASUS RAM CACHE III which doesn't figure in the incompatible list. when i close it, i can start painter normally.
Thanks for letting us know, we will add it to the list.
Don't forget your log file. It can be exported from the Help menu of the software.
-----------
Fabrice Piquet aka Froyok. Product Manager, Technical Artist and Documentation at Adobe.